org.eclipse.ease.debugging

## Class ScriptDebugProcess

- java.lang.Object
- - org.eclipse.core.runtime.PlatformObject
  - - org.eclipse.debug.core.model.DebugElement
    - - org.eclipse.ease.debugging.ScriptDebugElement
      - - org.eclipse.ease.debugging.ScriptDebugProcess

All Implemented Interfaces:
  IAdaptable, IDebugElement, IDisconnect, IProcess, IStep, ISuspendResume, ITerminate

    public class ScriptDebugProcess
    extends ScriptDebugElement
    implements IProcess

### Field Summary

### Fields inherited from interface org.eclipse.debug.core.model.IProcess

`ATTR_CMDLINE, ATTR_PROCESS_LABEL, ATTR_PROCESS_TYPE`

### Constructor Summary

Constructors
Constructor and Description
`ScriptDebugProcess(ScriptDebugTarget target)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getAttribute(String key)`
`int` `getExitValue()`
`String` `getLabel()`
`IStreamsProxy` `getStreamsProxy()`
`boolean` `isStepping()`
`boolean` `isSuspended()`
`boolean` `isTerminated()`
`void` `setAttribute(String key, String value)`

### Methods inherited from class org.eclipse.ease.debugging.ScriptDebugElement

`canDisconnect, canResume, canStepInto, canStepOver, canStepReturn, canSuspend, canTerminate, disconnect, getDebugTarget, getModelIdentifier, isDisconnected, resume, stepInto, stepOver, stepReturn, suspend, terminate`

### Methods inherited from class org.eclipse.debug.core.model.DebugElement

`fireChangeEvent, fireCreationEvent, fireEvent, fireResumeEvent, fireSuspendEvent, fireTerminateEvent, getAdapter, getLaunch`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.debug.core.model.IProcess

`getLaunch`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.debug.core.model.ITerminate

`canTerminate, terminate`

### Constructor Detail

#### ScriptDebugProcess

    public ScriptDebugProcess(ScriptDebugTarget target)

### Method Detail

#### getLabel

    public String getLabel()

Specified by:
  `getLabel` in interface `IProcess`

#### getStreamsProxy

    public IStreamsProxy getStreamsProxy()

Specified by:
  `getStreamsProxy` in interface `IProcess`

#### setAttribute

    public void setAttribute(String key,
                             String value)

Specified by:
  `setAttribute` in interface `IProcess`

#### getAttribute

    public String getAttribute(String key)

Specified by:
  `getAttribute` in interface `IProcess`

#### getExitValue

    public int getExitValue()
                     throws DebugException

Specified by:
  `getExitValue` in interface `IProcess`
Throws:
  `DebugException`

#### isTerminated

    public boolean isTerminated()

Specified by:
  `isTerminated` in interface `ITerminate`

#### isSuspended

    public boolean isSuspended()

Specified by:
  `isSuspended` in interface `ISuspendResume`

#### isStepping

    public boolean isStepping()

Specified by:
  `isStepping` in interface `IStep`